Subject: Re: bug#70386: 30.0.50; (recenter 0 t) does not put point on top of the window

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 May 2024 20:56:00 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> Date: Sat, 11 May 2024 17:48:24 +0000
> 
> Po Lu <[email-masked]> writes:
> 
> > I tried might and main to reproduce the vscroll-related problem
> > following both the original recipe and the adjustments Ihor suggested,
> > to no avail.
> >
> > Ihor, are you still running recenter?  The bug you initially described
> > should not be possible after my change, as vscroll is now
> > unconditionally reset after a call to recenter, but the paragraph in
> > your last message appears to describe a different phenomenon, which is
> > no bug: since p-s-p-i is designed for interactive operation, the
> > animation runs within `while-no-input', and if input should interrupt
> > the usual course of the function, then it's entirely expected that point
> > should be left elsewhere than specified in the arguments of the call.
> 
> See my recording of emacs -Q:
> https://0x0.st/XKzU.mp4

Does that really answer the questions above?

Btw, the "input" which interrupts while-no-input might come from
sources you might not expect.

All in all, I don't understand what is this bug about, for quite some
time.  I fail to see anything here that is worth keeping to dig into
this.